package jalview.datamodel;

import jalview.api.AlignExportSettingsI;

/**
 * Export options that may be constructed as 'all' or 'none' (and further
 * adjusted if wanted)
 */
public class AlignExportSettingsAdapter implements AlignExportSettingsI
{
  private boolean exportHiddenSeqs;

  private boolean exportHiddenCols;

  private boolean exportAnnotations;

  private boolean exportFeatures;

  private boolean exportGroups;

  /**
   * Constructor sets all options to either true or false
   * 
   * @param defaultOption
   */
  public AlignExportSettingsAdapter(boolean defaultOption)
  {
    exportAnnotations = defaultOption;
    exportFeatures = defaultOption;
    exportGroups = defaultOption;
    exportHiddenCols = defaultOption;
    exportHiddenSeqs = defaultOption;
  }

  @Override
  public boolean isExportHiddenSequences()
  {
    return exportHiddenSeqs;
  }

  @Override
  public boolean isExportHiddenColumns()
  {
    return exportHiddenCols;
  }

  @Override
  public boolean isExportAnnotations()
  {
    return exportAnnotations;
  }

  @Override
  public boolean isExportFeatures()
  {
    return exportFeatures;
  }

  @Override
  public boolean isExportGroups()
  {
    return exportGroups;
  }

  public void setExportHiddenSequences(boolean exportHiddenSeqs)
  {
    this.exportHiddenSeqs = exportHiddenSeqs;
  }

  public void setExportHiddenColumns(boolean exportHiddenCols)
  {
    this.exportHiddenCols = exportHiddenCols;
  }

  public void setExportAnnotations(boolean exportAnnotations)
  {
    this.exportAnnotations = exportAnnotations;
  }

  public void setExportFeatures(boolean exportFeatures)
  {
    this.exportFeatures = exportFeatures;
  }

  public void setExportGroups(boolean exportGroups)
  {
    this.exportGroups = exportGroups;
  }

}
